% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DataSet.R
\name{DataSet}
\alias{DataSet}
\title{Constructor of S3 class 'DataSet'}
\usage{
DataSet(
  info,
  verbose = F,
  maximization = NULL,
  format = IOHprofiler,
  subsampling = FALSE,
  full_sampling = FALSE
)
}
\arguments{
\item{info}{A List. Contains a set of in a *.info file.}

\item{verbose}{Logical.}

\item{maximization}{Logical. Whether the underlying optimization algorithm performs a maximization?
Set to NULL to determine automatically based on format}

\item{format}{A character. The format of data source, either 'IOHProfiler', 'COCO' or 'TWO_COL"}

\item{subsampling}{Logical. Whether *.cdat files are subsampled?}

\item{full_sampling}{Logical. Whether the raw (unaligned) FV matrix should be stored.
Currenlt only useful when a correlation plot between function values and parameters should be made}
}
\value{
A S3 object 'DataSet'
}
\description{
DataSet contains the following attributes
 * funId
 * DIM
 * algId
 * datafile
 * instance
 * maxEvals
 * finalFunEvals
 * comment
 * Additional attributes based on the original format
}
\examples{
path <- system.file('extdata', 'ONE_PLUS_LAMDA_EA', package = 'IOHanalyzer')
info <- read_index_file(file.path(path, 'IOHprofiler_f1_i1.info'))
DataSet(info[[1]])
}
