% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotDataSetList.R
\name{Plot.RT.ECDF_Multi_Func}
\alias{Plot.RT.ECDF_Multi_Func}
\alias{Plot.RT.ECDF_Multi_Func.DataSetList}
\title{Plot the aggregated empirical cumulative distriburtion as a function of the running times of
a DataSetList. Aggregated over multiple functions or dimensions.}
\usage{
Plot.RT.ECDF_Multi_Func(dsList, targets = NULL, scale.xlog = F)

\method{Plot.RT.ECDF_Multi_Func}{DataSetList}(dsList, targets = NULL, scale.xlog = F)
}
\arguments{
\item{dsList}{A DataSetList.}

\item{targets}{The target function values. Specified in a data.frame, as can be generated}

\item{scale.xlog}{Whether or not to scale the x-axis logaritmically
by the function 'get_ECDF_targets'}
}
\value{
A plot of the empirical cumulative distriburtion as a function of
the running times of the DataSetList
}
\description{
Plot the aggregated empirical cumulative distriburtion as a function of the running times of
a DataSetList. Aggregated over multiple functions or dimensions.
}
\examples{
\dontshow{data.table::setDTthreads(1)}
Plot.RT.ECDF_Multi_Func(dsl)
}
